--TEST--
add()
--FILE--
<?php
    error_reporting(0);
    require_once dirname(__FILE__) . '/setup.php.inc';

    echo "Test 1: add fortune to file without header\n";
    if (file_exists($writefile))   unlink($writefile);
    if (file_exists($writeheader)) unlink($writeheader);
    copy($testfile, $writefile);
    try {
        $fw = new File_Fortune_Writer($writefile);
    } catch (File_Fortune_Exception $e) {
        echo "Unable to instantiate: " . $e->getMessage() . "\n";
        exit;
    }
    $fortune = "There's no business like show business";
    try {
        $e = $fw->add($fortune);
        echo "Success\n";
    } catch (File_Fortune_Exception $e) {
        echo "Failed\n";
        echo $e->getMessage(), "\n";
    }

    echo "Test 2: add fortune to file with header\n";
    $fortune = "A thousand mile journey begins with a single step";
    try {
        $e = $fw->add($fortune);
        echo "Success\n";
    } catch (File_Fortune_Exception $e) {
        echo "Failed\n";
        echo $e->getMessage(), "\n";
    }
?>
--EXPECT--
Test 1: add fortune to file without header
Success
Test 2: add fortune to file with header
Success

