--TEST--
update()
--FILE--
<?php
    error_reporting(0);
    require_once dirname(__FILE__) . '/setup.php.inc';

    copy($testfile, $writefile);
    if (file_exists($writeheader)) unlink($writeheader);
    try {
        $fw = new File_Fortune_Writer($writefile);
    } catch (File_Fortune_Exception $e) {
        echo "Unable to instantiate: " . $e->getMessage() . "\n";
        exit;
    }

    echo "Test 1: update number 3\n";
    $fortune = 'A stitch in time saves nine';
    try {
        $e = $fw->update(3, $fortune);
        $num3 = $fw->read(3);
        if (strstr($num3, $fortune)) {
            echo "Success\n";
        } else {
            echo "Failed\n";
            echo "Updated version not in array\n";
        }
    } catch (File_Fortune_Exception $e) {
        echo "Failed\n";
        echo $e->getMessage(), "\n";
    }
?>
--EXPECT--
Test 1: update number 3
Success

