--TEST--
getRandom()
--FILE--
<?php
    error_reporting(0);
    require_once dirname(__FILE__) . '/setup.php.inc';
    
    try {
        $f = new File_Fortune($FILE, $HFILE);
    } catch (File_Fortune_Exception $e) {
        die("Failed instantiating object");
    }

    echo "Test 1: get random\n";
    try {
        $fortune = $f->getRandom();
        echo "Success\n";
    } catch (File_Fortune_Exception $e) {
        echo "Failed:\n";
        echo PEAR_ErrorStack::getErrorMessage($f->error, $f->error->pop());
    }
--EXPECT--
Test 1: get random
Success

