--TEST--
read()
--FILE--
<?php
    error_reporting(0);
    require_once dirname(__FILE__) . '/setup.php.inc';
    
    try {
        $f = new File_Fortune($FILE, $HFILE);
    } catch (File_Fortune_Exception $e) {
        die("Failed instantiating object");
    }

    echo "Test 1: no params\n";
    try {
        $fortune = $f->read();
        echo "Success\n";
    } catch (File_Fortune_Exception $e) {
        echo "Failed:\n";
        echo $e->getMessage(), "\n";
    }

    echo "Test 2: pass a param\n";
    try {
        $fortune = $f->read(2);
        echo "Success\n";
    } catch (File_Fortune_Exception $e) {
        echo "Failed:\n";
        echo $e->getMessage(), "\n";
    }
?>
--EXPECT--
Test 1: no params
Success
Test 2: pass a param
Success

