--TEST--
delete()
--FILE--
<?php
    error_reporting(0);
    require_once dirname(__FILE__) . '/setup.php.inc';

    copy($testfile, $writefile);
    if (file_exists($writeheader)) unlink($writeheader);
    try {
        $fw = new File_Fortune_Writer($writefile);
    } catch (File_Fortune_Exception $e) {
        echo "Unable to instantiate: " . $e->getMessage() . "\n";
        exit;
    }

    echo "Test 1: delete fortune 3\n";
    try {
        $e = $fw->delete(3);
        $fortunes = $fw->getAll();
        if (strstr($fortunes[2], 'A gift of a flower')) {
            echo "Failed\n";
            echo "Wrong string or no string deleted\n";
        } else {
            echo "Success\n";
        }
    } catch (File_Fortune_Exception $e) {
        echo "Failed\n";
        echo $e->getMessage(), "\n";
    }
?>
--EXPECT--
Test 1: delete fortune 3
Success

